#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define major		12
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define rel 1

Name:		kpmcore
Version: 24.08.2
Release:	%mkrel %{rel}
Summary:	Library for managing partitions by KDE programs
Group:		System/Kernel and hardware
License:	GPLv3+
URL:		https://invent.kde.org/system/kpmcore
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6WidgetsAddons)

BuildRequires:	cmake(PolkitQt6-1)

BuildRequires:	gettext
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(libparted)

Requires:	parted
Requires:	e2fsprogs

%description
KPMcore contains common code for managing partitions by KDE Partition Manager
and other KDE projects.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_libexecdir}/kpmcore_externalcommand
%{_kf6_datadir}/dbus-1/system.d/org.kde.kpmcore*.conf
%{_kf6_datadir}/dbus-1/system-services/org.kde.kpmcore.helperinterface.service
%{_kf6_datadir}/polkit-1/actions/org.kde.kpmcore.externalcommand.policy
%{_qt6_plugindir}/kpmcore/

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Main library for %{name}.

%files -n %{libname}
%{_kf6_libdir}/lib%{name}.so.%{major}
%{_kf6_libdir}/lib%{name}.so.%{version}

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development library and header files for %{name}.

%files -n %{develname}
%{_includedir}/%{name}/
%{_kf6_libdir}/cmake/KPMcore
%{_kf6_libdir}/libkpmcore.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --all-name



%changelog
* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105602
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097470
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087662
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085158
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073273
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069925
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058672
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045211
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037709
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033834
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026811
- New version 24.01.85

* Mon Nov 20 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2008229
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989654
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958231
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946543
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941836
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922957
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-2.mga9
+ Revision: 1911452
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-2.mga9
+ Revision: 1905303
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-2.mga9
+ Revision: 1886822
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-2.mga9
+ Revision: 1880808
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-2.mga9
+ Revision: 1873118
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-2.mga9
+ Revision: 1854011
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 22.03.90-2.mga9
+ Revision: 1850961
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846055
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763902
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724110
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718810
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-1.mga9
+ Revision: 1698355
+ rebuild (emptylog)

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694124
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1656931
- New version 20.12.0 (says hello kpmcore to release-service stack)

* Mon Oct 19 2020 daviddavid <daviddavid> 4.2.0-1.mga8
+ Revision: 1636944
- new version: 4.2.0, fixes CVE-2020-27187 (mga#27442)

* Fri Feb 21 2020 umeabot <umeabot> 4.1.0-2.mga8
+ Revision: 1547773
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1488265
- new version: 4.1.0
- now libmajor is 9
+ wally <wally>
- build with new cmake macros

* Sun Oct 06 2019 daviddavid <daviddavid> 4.0.1-1.mga8
+ Revision: 1449941
- new version: 4.0.1
- remove merged upstream patch

* Mon Aug 19 2019 daviddavid <daviddavid> 4.0.0-3.mga8
+ Revision: 1430326
- fix %%files section

* Sat May 11 2019 daviddavid <daviddavid> 4.0.0-2.mga7
+ Revision: 1397227
- backport patch to fix setting partition path when restoring partitions

* Thu May 02 2019 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1396122
- new version: 4.0.0

* Sun Mar 31 2019 umeabot <umeabot> 3.3.0-3.mga7
+ Revision: 1382780
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.3.0-2.mga7
+ Revision: 1298637
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 daviddavid <daviddavid> 3.3.0-1.mga7
+ Revision: 1184492
- new version: 3.3.0
- now libmajor is 7

* Wed Nov 01 2017 daviddavid <daviddavid> 3.2.1-1.mga7
+ Revision: 1175330
- new version: 3.2.1

* Wed Oct 04 2017 daviddavid <daviddavid> 3.2.0-1.mga7
+ Revision: 1168140
- new version: 3.2.0
- now libmajor is 6

* Sat Jul 22 2017 daviddavid <daviddavid> 3.1.2-1.mga7
+ Revision: 1127864
- new version: 3.1.2
- libmajor is now 5

* Fri Feb 10 2017 daviddavid <daviddavid> 3.0.3-1.mga6
+ Revision: 1085524
- new version: 3.0.3
- update URL

* Fri Jan 06 2017 daviddavid <daviddavid> 3.0.2-1.mga6
+ Revision: 1080333
- new version: 3.0.2

* Sun Jan 01 2017 neoclust <neoclust> 3.0.1-1.mga6
+ Revision: 1078968
- New version 3.0.1

* Sun Jul 10 2016 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 1040379
- new version: 2.2.1
- update URL

* Sat May 28 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1019066
- new version: 2.2.0

* Thu May 26 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 1018675
- new version: 2.1.1

* Sun Mar 13 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 990204
- new version: 2.1.0
- now libmajor is 2

* Tue Jan 26 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 927825
- imported package kpmcore

